curl --request GET \
--url https://api.augustus.com/v1/conversions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/conversions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/conversions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440006",
"type": "conversion",
"status": "pending",
"source_amount": "100.50",
"target_amount": "100.50",
"source_account_id": "550e8400-e29b-41d4-a716-44665544000b",
"target_account_id": "550e8400-e29b-41d4-a716-44665544000c",
"metadata": {
"invoice_id": "INV-2026-0042"
},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z",
"completed_at": "2026-01-15T10:36:00Z"
}Retrieve conversion
Retrieves a conversion by ID.
Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the conversion.
"550e8400-e29b-41d4-a716-446655440006"
Response
The conversion resource
Unique identifier of the conversion.
"550e8400-e29b-41d4-a716-446655440006"
Resource type discriminator.
conversion Current status of the conversion.
pending, completed, failed Amount as a string decimal (e.g. "100.50").
"100.50"
Amount as a string decimal (e.g. "100.50").
"100.50"
ID of the source account, or null.
"550e8400-e29b-41d4-a716-44665544000b"
ID of the target account, or null.
"550e8400-e29b-41d4-a716-44665544000c"
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
ISO 8601 UTC timestamp when the conversion was created.
"2026-01-15T10:30:00Z"
ISO 8601 UTC timestamp when the conversion was last updated.
"2026-01-15T10:35:00Z"
ISO 8601 UTC timestamp when the conversion completed, or null.
"2026-01-15T10:36:00Z"
Was this page helpful?